# Installation

## Requirements

Android API version <mark style="color:blue;">`24`</mark> or higher

#### Storage Migration Notice (from v1.0.0)

* Starting from v1.0.0, changes to the storage key system may cause previously stored data to become inaccessible.
* If the existing key is determined to be invalid, stored data will be automatically reset and a new key will be generated.
* If the key is valid, your data will remain unchanged.
* Downgrading from v1.0.0 to an earlier version may result in loss of access to previously stored data.

{% hint style="info" %}
We strongly recommend backing up important data before updating to avoid potential issues.
{% endhint %}

#### Compatibility with WepinLogin&#x20;

* If you are using this module alongside WepinLogin, please ensure that you are also using **WepinLogin v1.0.0** or higher.&#x20;
* Mixing different major versions of Wepin modules may result in compatibility issues, unexpected errors, or inconsistent behavior.&#x20;
* For a stable integration, always use v1.0.0+ across all Wepin modules together.
* Starting from **WepinPin v1.1.0**, `WepinLogin` is included as a dependency within `WepinPin`.\
  You no longer need to install or import `WepinLogin` separately.

## Installation

### Add Wepin PIN Pad Library to .gradle&#x20;

Add the JitPack repository to the project-level's build gradle file

```kts
 dependencyResolutionManagement {
     repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
     repositories {
         google()
         mavenCentral()
         maven("https://jitpack.io") // <= Add JitPack Repository
     }
 }
```

### Add Wepin PIN Pad Library to dependencies&#x20;

Add the following to the app's build gradle file. You can insert the release version you want to use.

```kts
dependencies {
  // ...
  implementation("com.github.WepinWallet:wepin-android-sdk-pin-v1:vX.X.X") 
}
```

## Release

The released package versions can be found on the GitHub repository below.

{% embed url="<https://github.com/WepinWallet/wepin-android-sdk-pin-v1/releases>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/android-java-and-kotlin-sdk/pin-pad-library/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
